切换主题
生成图像
百炼qwen-image系列图片生成
生成图像
POST /v1/images/generations
百炼qwen-image系列图片生成
认证
BearerAuth
请求体
必填:否
application/json
| 字段 | 必填 | 类型 | 说明 |
|---|---|---|---|
| model | 是 | string | - |
| input | 是 | object | - |
| input.messages | 是 | array<object> | - |
| input.messages[].role | 否 | string | - |
| input.messages[].content | 否 | array<object> | - |
| parameters | 否 | object | - |
| parameters.negative_prompt | 否 | string | - |
| parameters.prompt_extend | 否 | boolean | - |
| parameters.watermark | 否 | boolean | - |
| parameters.size | 否 | string | - |
原始 Schema
json
{
"type": "object",
"properties": {
"model": {
"type": "string"
},
"input": {
"type": "object",
"properties": {
"messages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"role": {
"type": "string"
},
"content": {
"type": "array",
"items": {
"type": "object",
"properties": {
"text": {
"type": "string"
}
},
"x-apifox-orders": [
"text"
]
}
}
},
"x-apifox-orders": [
"role",
"content"
]
}
}
},
"required": [
"messages"
],
"x-apifox-orders": [
"messages"
]
},
"parameters": {
"type": "object",
"properties": {
"negative_prompt": {
"type": "string"
},
"prompt_extend": {
"type": "boolean"
},
"watermark": {
"type": "boolean"
},
"size": {
"type": "string"
}
},
"x-apifox-orders": [
"negative_prompt",
"prompt_extend",
"watermark",
"size"
]
}
},
"required": [
"model",
"input"
],
"x-apifox-orders": [
"model",
"input",
"parameters"
]
}响应
200 成功生成图像
application/json
| 字段 | 必填 | 类型 | 说明 |
|---|---|---|---|
| created | 否 | integer | - |
| data | 否 | array<object> | - |
| data[].url | 否 | string | - |
| data[].b64_json | 否 | string | - |
| data[].revised_prompt | 否 | string | - |
原始 Schema
json
{
"type": "object",
"properties": {
"created": {
"type": "integer"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"url": {
"type": "string"
},
"b64_json": {
"type": "string"
},
"revised_prompt": {
"type": "string"
}
},
"x-apifox-orders": [
"url",
"b64_json",
"revised_prompt"
]
}
}
},
"x-apifox-orders": [
"created",
"data"
]
}